Page MenuHomePhabricator

Move IRC channel from #wiki-dev-africa to #wikimedia-dev-africa (proper namespace) for the Africa Wikimedia Developer Project
Closed, ResolvedPublic

Description

After internal discussions and external requests from the community, we are moving from our IRC channel #wiki-dev-africa to #wikimedia-dev-africa so it properly fits into the Wikimedia IRC channels namespace and also update all wikis and online docs where these former channel features. Below are the steps to be take:

  • Create the #wikimedia-dev-africa channel and configure it (prepare it with IRC flags like #wiki-dev-africa).
  • Create a redirect from #wiki-dev-africa to #wikimedia-dev-africa (this is so that when someones by mistakenly joins #wiki-dev-africa, the user will be taken straight to the new channel: #wikimedia-dev-africa, with a reason that the old channel has been moved. Also everyone on the #wiki-dev-africa now will be taken to #wikimedia-dev-africa).
  • Announce on all our mailing list platform about migration / move from the old channel to the new channel.
  • Write and submit patch to attach Wikimedia bots currently on the #wiki-dev-africa channel to the #wikimedia-dev-africa channel and also detach them from the former.
  • As per the point directly above, patch merged and deployed to effect changes.
  • Finalize by updating all documentation and instances of where #wiki-dev-africa features online (blogs, wikis etc) to have the new channel (you all can help me here too please :D).
  • Leave task open for some days for further recheck of online docs and instances of obsolete channel.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 12:04 PM
D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 12:31 PM
D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 12:49 PM

Change 404289 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[labs/tools/wikibugs2@master] Migration from #wiki-dev-africa to #wikimedia-dev-africa

https://gerrit.wikimedia.org/r/404289

D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 12:59 PM
D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 1:15 PM
D3r1ck01 triaged this task as Normal priority.Jan 15 2018, 3:36 PM

Change 404289 merged by jenkins-bot:
[labs/tools/wikibugs2@master] Migration from #wiki-dev-africa to #wikimedia-dev-africa

https://gerrit.wikimedia.org/r/404289

D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 5:40 PM
D3r1ck01 updated the task description. (Show Details)Jan 15 2018, 5:44 PM
D3r1ck01 updated the task description. (Show Details)Jan 16 2018, 1:52 PM

I think this ticket is done! Except anyone sees something obsolete about the whole channel migration issue. All docs have been updated to match the right channel and patch has been merged and deployed for push notification by bots to the right channel. Thanks and I'll leave this open for the mean time just in case someone finds something (including me :D). But will close this by the end of the week.

D3r1ck01 updated the task description. (Show Details)Jan 16 2018, 1:56 PM
D3r1ck01 added a subscriber: Zppix.

@D3r1ck01: Any reason why you CC'ed three people in T184903#3902597 / any explicit request to them?

Yes @Aklapper! The reason I Cced was to get more reach (for people directly involved in the project) to help in case of obsolete docs online that still references the old channel for an update. I think with more reach, this ticket can be resolved faster and better. Thanks very much.

charitwo removed a subscriber: Zppix.Jan 16 2018, 4:36 PM
Flixtey closed this task as Resolved.Jan 21 2018, 9:09 PM

Thanks @D3r1ck01 for seeing this ticket through. Closing as the task has been fully completed and tested.

Flixtey updated the task description. (Show Details)Jan 21 2018, 9:10 PM
Zppix added a subscriber: Zppix.Jan 21 2018, 9:19 PM